<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity" >

    <TextView
        android:id="@+id/tv_distance_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/hello_world" 
        android:layout_alignParentTop="true" />
    
    <fragment 
        android:id="@+id/map"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"        
        class="com.google.android.gms.maps.SupportMapFragment" 
        android:layout_below="@id/tv_distance_time" /> 
        
     <ToggleButton
            android:id="@+id/tbMode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@+id/map"
            android:layout_toRightOf="@+id/btnDirection"
            android:textOff="Walking"
			android:textOn="Driving" />

</RelativeLayout>